This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 789390 - Review Request: aeolus - a synthesized organ for ALSA/JACK
Review Request: aeolus - a synthesized organ for ALSA/JACK
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On: 788718
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-10 11:48 EST by Brendan Jones
Modified: 2014-06-09 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 07:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-10 11:48:05 EST
aeolus is a synthesized (i.e. not sampled) pipe organ emulator that 
should be good enough to make an organist enjoy playing it. It is a 
software synthesizer optimized for this job, with possibly hundreds 
of controls for each stop, that enable the user to "voice" his 
instrument. Main features of the default instrument: three manuals and 
one pedal, five different temperaments, variable tuning, IDI control 
of course, stereo, surround or Ambisonics output, flexible audio 
controls including a large church reverb.

SPEC: http://bsjones.fedorapeople.org/aeolus.spec
SRPM: http://bsjones.fedorapeople.org/aeolus-0.8.4-2.fc16.src.rpm

rpmlint ../SRPMS/aeolus-0.8.4-2.fc16.src.rpm 
aeolus.src: W: spelling-error %description -l en_US reverb -> revere, revers, revert
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Ankur Sinha (FranciscoD) 2012-03-18 14:09:59 EDT
Review:

[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines

[+] Spec file matches base package name.

[+] Spec has consistant macro usage.

[?] Meets Packaging Guidelines.
 |
 + Needs to be looked at again once the current issues are corrected.

[?] License
 |
 + There is no licence information at all in the "stops" tar. How does one know what license the content is under?

[?] License field in spec matches
 |
 + Shouldn't the license be GPLv2+ (the plus?) and  the license of the "stops" content? All the source files appear to be GPLv2+, not just GPLv2.

[+] License file included in package
 |
 + No license included in the stops tar

[+] Spec in American English
[+] Spec is legible.

[+] Sources match upstream md5sum:
[ankur@ankur SPECS]$ md5sum aeolus-0.8.4.tar.bz2 stops-0.3.0.tar.bz2 ../SOURCES/aeolus-0.8.4.tar.bz2 ../SOURCES/stops-0.3.0.tar.bz2
0dcbfb2ab386419f306e1d947815163a  aeolus-0.8.4.tar.bz2
2a7b1cae820408fa1cc655800d08d88f  stops-0.3.0.tar.bz2
0dcbfb2ab386419f306e1d947815163a  ../SOURCES/aeolus-0.8.4.tar.bz2
2a7b1cae820408fa1cc655800d08d88f  ../SOURCES/stops-0.3.0.tar.bz2
[ankur@ankur SPECS]$


- Package needs ExcludeArch

[?] BuildRequires correct
 |
 + Fails to build in mock:

DEBUG: tiface.cc:24:31: fatal error: readline/readline.h: No such file or directory.

You are missing a BR. Probably one of the following:
[root@ankur ~]# repoquery '*/readline/readline.h' -f
mingw32-readline-0:5.2-8.fc15.noarch
readline-devel-0:6.2-2.fc16.i686
compat-readline5-devel-0:5.2-18.fc15.i686
readline-devel-0:6.2-2.fc16.x86_64
compat-readline5-devel-0:5.2-18.fc15.x86_64


- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.

[+] Package has %defattr and permissions on files is good.

[?] Package is code or permissible content.
 |
 + Need to confirm contents of the stop tar.

- Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

[+] Package is a GUI app and has a .desktop file

[?] Package compiles and builds on at least one arch.
 |
 + Fails to build on a mock fedora-rawhide-x86_64 configuration.


The following will be checked once the package builds correctly :)

- Package has no duplicate files in %files.

- Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
- No rpmlint output.
- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

- Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
- Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

-------------------------------------------------------------------------------


Issues:

1. Package does not build
2. Licensing missing for the stops data
3. I see you've added a Requires: %{name}-stops there. What is that for? Did you forget to make a %{name}-stops subpackage in the spec? 

There may be more issues, but we'll look at them once the above are solved.

Thanks,
Ankur
Comment 2 Ankur Sinha (FranciscoD) 2012-03-18 14:11:11 EDT
The license files have incorrect FSF addresses too. Please request upstream to correct this in the next release of the software.
Comment 3 Ankur Sinha (FranciscoD) 2012-06-26 15:34:39 EDT
le ping :)
Comment 4 Brendan Jones 2012-07-04 06:36:21 EDT
Sorry for the delay - very busy at the moment

SPEC: http://bsjones.fedorapeople.org/aeolus.spec
SRPM: http://bsjones.fedorapeople.org/aeolus-0.8.4-4.fc16.src.rpm

rpmlint /home/bsjones/rpmbuild/SRPMS/aeolus-0.8.4-4.fc17.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/aeolus-0.8.4-4.fc17.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/aeolus-debuginfo-0.8.4-4.fc17.x86_64.rpm
aeolus.src: W: spelling-error %description -l en_US reverb -> revere, revers, revert
aeolus.x86_64: W: spelling-error %description -l en_US reverb -> revere, revers, revert
aeolus.x86_64: W: shared-lib-calls-exit /usr/lib64/aeolus_x11.so exit@GLIBC_2.2.5
aeolus.x86_64: E: incorrect-fsf-address /usr/share/doc/aeolus-0.8.4/COPYING
aeolus.x86_64: W: no-manual-page-for-binary aeolus
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

I can't change the COPYING file  - the shared lib exit is OK - its a private library (even though I sonamed it because its in the ldconfig path).
Comment 5 Ankur Sinha (FranciscoD) 2012-10-18 19:06:56 EDT
Correct srpm link: http://bsjones.fedorapeople.org/aeolus-0.8.4-4.fc17.src.rpm
Comment 6 Ankur Sinha (FranciscoD) 2013-02-16 04:29:35 EST
Hi Brendan,

Could you please upload the srpm again? I can't seem to find it on your fedorapeople space. Sorry for the delay.

Thanks,
Warm regards,
Ankur
Comment 7 Brendan Jones 2014-06-09 07:08:20 EDT
I ma closing this for now.

Note You need to log in before you can comment on or make changes to this bug.